### Method

# GLib Variant is_floating

since: 2.26

#### Declaration

    gboolean
    g_variant_is_floating (
      GVariant* value
    )

#### Description

Checks whether `value` has a floating reference count.

This function should only ever be used to assert that a given variant is or is not floating, or for debug purposes. To acquire a reference to a variant that might be floating, always use `g_variant_ref_sink()` or g_variant_take_ref().

See `g_variant_ref_sink()` for more information about floating reference counts.

Available since: 2.26

#### Return value

Type: `gboolean`

Whether `value` is floating.